Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Action

Prev Next

Available in Classic and VPC

Get a Cloud Functions action.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /ncf/api/v2/packages/{packageName}/actions/{actionName}
Note

Singapore and Japan Regions are available only in the VPC environment.

Request headers

For information about the headers common to all Cloud Functions APIs, see Cloud Functions request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
packageName String Required Package name
  • Enter the special character "-" for actions that are not part of a package.
    • Example: /packages/-/actions/myaction?platform=vpc
actionName String Required Action name

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
platform String Optional Platform type
  • vpc (default) | classic

Request example

The request example is as follows:

curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/api/v2/packages/package003/actions?platform=classic' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Basic action

The following describes the response body for basic actions.

Field Type Required Description
content Object - Action information
content.custom-options Boolean - Set the header options.
  • Supported only for the web action type
content.description String - Action description
content.exec.binary Boolean - Whether the action code is file binary
content.exec.code String - Action source code or Base64-encoded code file binary
content.exec.kind String - Language in use
content.exec.main String - Execution function
content.limits.memory Integer - Size of memory allocated to the action container
content.limits.timeout Integer - Maximum time an action can run
content.name String - Action name
content.parameters Object - Default parameters of the action
content.vpc Object - VPC information
  • Displayed only if platform is vpc
content.vpc.vpcNo Integer - Number of the connected VPC
content.vpc.subnetNo Integer - Number of the connected subnet
content.path String - Action path
content.raw-http Boolean - Whether to use the HTTP origin
  • Supported only for the web action type
content.resourceId String - Action's resource ID
content.web Boolean - Web action settings

Sequence action

The following describes the response body for sequence actions.

Field Type Required Description
content Object - Action information
content.description String - Action description
content.exec.components String[] - List of connected actions
content.exec.kind String - Action type
  • sequence (fixed value)
content.name String - Action name
content.path String - Action path
content.resourceId String - Action's resource ID
content.web Boolean - Web action settings

Response status codes

For information about the HTTP status codes common to all Cloud Functions APIs, see Cloud Functions response status codes.

Response example

The response example is as follows:

{
    "content": {
        "custom-options": false,
        "description": "Create Action",
        "exec": {
            "binary": false,
            "code": "function main(params) { \nlet name = params.name || \"World\";\nlet place = params.place || \"Naver\"; \n  return {payload:  \"abc\"};\n}",
            "kind": "nodejs:16",
            "main": "main"
        },
        "limits": {
            "memory": 128,
            "timeout": 60000
        },
        "name": "action000",
        "parameters": {
            "name": "action000"
        },
        "path": "****YBNzcd4Z/package003",
        "raw-http": false,
        "resourceId": "Sy***",
        "web": false
    }
}